"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.tsx
var src_exports = {};
__export(src_exports, {
  Layout: () => Layout
});
module.exports = __toCommonJS(src_exports);

// src/container.tsx
var import_clsx2 = __toESM(require("clsx"));

// src/layout.tsx
var import_clsx = __toESM(require("clsx"));
function BuildStyle({ col, padding, row }) {
  return (0, import_clsx.default)(
    col ? "flex-col" : "",
    padding ? "p-6 sm:p-8" : "",
    row ? "flex-row" : ""
  );
}

// src/container.tsx
var import_jsx_runtime = require("react/jsx-runtime");
function Container({
  col = false,
  padding = false,
  row = false,
  ...props
}) {
  const className = (0, import_clsx2.default)(
    "flex flex-1",
    BuildStyle({ col, padding, row }),
    props.className
  );
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)("div", {
    ...props,
    className
  });
}

// src/content.tsx
var import_clsx3 = __toESM(require("clsx"));
var import_jsx_runtime = require("react/jsx-runtime");
function Content({
  col = true,
  padding = true,
  row = false,
  ...props
}) {
  const className = (0, import_clsx3.default)(
    "flex flex-1",
    BuildStyle({ col, padding, row }),
    props.className
  );
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)("main", {
    ...props,
    className
  });
}

// src/footer.tsx
var import_clsx4 = __toESM(require("clsx"));
var import_jsx_runtime = require("react/jsx-runtime");
function Footer({
  col = true,
  padding = true,
  row = false,
  ...props
}) {
  const className = (0, import_clsx4.default)(
    "flex grow-1 shrink-0",
    BuildStyle({ col, padding, row }),
    props.className
  );
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)("footer", {
    ...props,
    className
  });
}

// src/header.tsx
var import_clsx5 = __toESM(require("clsx"));
var import_jsx_runtime = require("react/jsx-runtime");
function Header({
  col = false,
  padding = true,
  row = false,
  ...props
}) {
  const className = (0, import_clsx5.default)(
    "flex grow-1 shrink-0",
    BuildStyle({ col, padding, row }),
    props.className
  );
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)("header", {
    ...props,
    className
  });
}

// src/page.tsx
var import_clsx6 = __toESM(require("clsx"));
var import_jsx_runtime = require("react/jsx-runtime");
function Page({
  col = false,
  padding = false,
  row = false,
  ...props
}) {
  const className = (0, import_clsx6.default)(
    "flex flex-1 min-h-screen min-w-screen",
    BuildStyle({ col, padding, row }),
    props.className
  );
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)("div", {
    ...props,
    className
  });
}

// src/index.tsx
var Layout = {
  Container,
  Content,
  Footer,
  Header,
  Page
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  Layout
});
