// src/container.tsx
import clsx2 from "clsx";

// src/layout.tsx
import clsx from "clsx";
function BuildStyle({ col, padding, row }) {
  return clsx(
    col ? "flex-col" : "",
    padding ? "p-6 sm:p-8" : "",
    row ? "flex-row" : ""
  );
}

// src/container.tsx
import { jsx } from "react/jsx-runtime";
function Container({
  col = false,
  padding = false,
  row = false,
  ...props
}) {
  const className = clsx2(
    "flex flex-1",
    BuildStyle({ col, padding, row }),
    props.className
  );
  return /* @__PURE__ */ jsx("div", {
    ...props,
    className
  });
}

// src/content.tsx
import clsx3 from "clsx";
import { jsx as jsx2 } from "react/jsx-runtime";
function Content({
  col = true,
  padding = true,
  row = false,
  ...props
}) {
  const className = clsx3(
    "flex flex-1",
    BuildStyle({ col, padding, row }),
    props.className
  );
  return /* @__PURE__ */ jsx2("main", {
    ...props,
    className
  });
}

// src/footer.tsx
import clsx4 from "clsx";
import { jsx as jsx3 } from "react/jsx-runtime";
function Footer({
  col = true,
  padding = true,
  row = false,
  ...props
}) {
  const className = clsx4(
    "flex grow-1 shrink-0",
    BuildStyle({ col, padding, row }),
    props.className
  );
  return /* @__PURE__ */ jsx3("footer", {
    ...props,
    className
  });
}

// src/header.tsx
import clsx5 from "clsx";
import { jsx as jsx4 } from "react/jsx-runtime";
function Header({
  col = false,
  padding = true,
  row = false,
  ...props
}) {
  const className = clsx5(
    "flex grow-1 shrink-0",
    BuildStyle({ col, padding, row }),
    props.className
  );
  return /* @__PURE__ */ jsx4("header", {
    ...props,
    className
  });
}

// src/page.tsx
import clsx6 from "clsx";
import { jsx as jsx5 } from "react/jsx-runtime";
function Page({
  col = false,
  padding = false,
  row = false,
  ...props
}) {
  const className = clsx6(
    "flex flex-1 min-h-screen min-w-screen",
    BuildStyle({ col, padding, row }),
    props.className
  );
  return /* @__PURE__ */ jsx5("div", {
    ...props,
    className
  });
}

// src/index.tsx
var Layout = {
  Container,
  Content,
  Footer,
  Header,
  Page
};
export {
  Layout
};
